package com.inkasso.factoring.login.service;

import com.inkasso.adapter.bean.AbstractUser;
import com.inkasso.adapter.enums.ClientTypeEnum;
import com.inkasso.factoring.login.model.dto.LoginResultDTO;

import java.util.List;

/**
 * @author 张超
 * @date 2021/8/6
 */
public interface SessionService {

   /**
    * 清除token
    * @param clientTypeEnum
    * @param baseUser
    * @return
    */
   LoginResultDTO createTokenAndSession(ClientTypeEnum clientTypeEnum, AbstractUser baseUser);


   void resetToken2User(String token,AbstractUser baseUser);


   void  destory(String token);


   void  destory(Long userId, List<String> account);

}
